StubblePloughEvent = {};
StubblePloughEvent_mt = Class(StubblePloughEvent, Event);

InitEventClass(StubblePloughEvent, "StubblePloughEvent");

function StubblePloughEvent:emptyNew()
  local self = Event:new(StubblePloughEvent_mt);
  self.className="StubblePloughEvent";
  return self;
end;

function StubblePloughEvent:new(object, isActive)
  local self = StubblePloughEvent:emptyNew()
  self.object = object;
  self.isActive = isActive;
  return self;
end;

function StubblePloughEvent:readStream(streamId, connection)
  local id = streamReadInt32(streamId);
  self.isActive = streamReadBool(streamId);
  self.object = networkGetObject(id);
  self:run(connection);
end;

function StubblePloughEvent:writeStream(streamId, connection)
  streamWriteInt32(streamId, networkGetObjectId(self.object));
  streamWriteBool(streamId, self.isActive);
end;

function StubblePloughEvent:run(connection)
  self.object:setStubblePloughActive(self.isActive, true);
  if not connection:getIsServer() then
    g_server:broadcastEvent(StubblePloughEvent:new(self.object, self.isActive), nil, connection, self.object);
  end;	
end;

function StubblePloughEvent.sendEvent(StubblePlough, isActive)
  if g_server ~= nil then
    g_server:broadcastEvent(StubblePloughEvent:new(StubblePlough, isActive), nil, nil, StubblePlough);
  else
    g_client:getServerConnection():sendEvent(StubblePloughEvent:new(StubblePlough, isActive));
  end;
end;

